## org.eclipse.datatools.sqltools.sqlbuilder.views.graph.editparts
Class TableEditPart

    java.lang.Object
      org.eclipse.gef.editparts.AbstractEditPart
          org.eclipse.gef.editparts.AbstractGraphicalEditPart
              org.eclipse.datatools.sqltools.sqlbuilder.views.graph.editparts.TableEditPart

All Implemented Interfaces:
  org.eclipse.core.runtime.IAdaptable, ISQLEditPart, org.eclipse.gef.EditPart, org.eclipse.gef.GraphicalEditPart, org.eclipse.gef.RequestConstants

    public class TableEditPart

extends org.eclipse.gef.editparts.AbstractGraphicalEditPart
implements ISQLEditPart

Field Summary

Fields inherited from interface org.eclipse.gef.EditPart
`SELECTED, SELECTED_NONE, SELECTED_PRIMARY`

Fields inherited from interface org.eclipse.gef.RequestConstants
`REQ_ADD, REQ_ALIGN, REQ_ALIGN_CHILDREN, REQ_CLONE, REQ_CONNECTION_END, REQ_CONNECTION_START, REQ_CREATE, REQ_CREATE_BENDPOINT, REQ_DELETE, REQ_DELETE_DEPENDANT, REQ_DIRECT_EDIT, REQ_MOVE, REQ_MOVE_BENDPOINT, REQ_MOVE_CHILDREN, REQ_OPEN, REQ_ORPHAN, REQ_ORPHAN_CHILDREN, REQ_RECONNECT_SOURCE, REQ_RECONNECT_TARGET, REQ_RESIZE, REQ_RESIZE_CHILDREN, REQ_SELECTION, REQ_SELECTION_HOVER`

Constructor Summary
`TableEditPart(SQLDomainModel model)`

Method Summary
`void` `activate()`
`org.eclipse.draw2d.IFigure` `getContentPane()`
`org.eclipse.gef.DragTracker` `getDragTracker(org.eclipse.gef.Request req)`
`org.eclipse.gef.EditPart` `getMyRoot()`
`SQLQueryObject` `getStatement()`
`Table` `getTable()`
`TableCorrelation` `getTableAlias()`
`void` `update(java.lang.Object child)` `update` should be called with the parent and child object involved in the change

Methods inherited from class org.eclipse.gef.editparts.AbstractGraphicalEditPart
`addNodeListener, addNotify, deactivate, getAdapter, getFigure, getSourceConnections, getTargetConnections, refresh, removeNodeListener, removeNotify, setLayoutConstraint`

Methods inherited from class org.eclipse.gef.editparts.AbstractEditPart

`addEditPartListener, eraseSourceFeedback, eraseTargetFeedback, getChildren, getCommand, getEditPolicy, getModel, getParent, getRoot, getSelected, getTargetEditPart, getViewer, hasFocus, installEditPolicy, isActive, isSelectable, performRequest, removeEditPartListener, removeEditPolicy, setFocus, setModel, setParent, setSelected, showSourceFeedback, showTargetFeedback, toString, understandsRequest`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.gef.EditPart
`addEditPartListener, eraseSourceFeedback, eraseTargetFeedback, getChildren, getCommand, getEditPolicy, getModel, getParent, getRoot, getSelected, getTargetEditPart, getViewer, hasFocus, installEditPolicy, isActive, isSelectable, performRequest, removeEditPartListener, removeEditPolicy, setFocus, setModel, setParent, setSelected, showSourceFeedback, showTargetFeedback, understandsRequest`

Constructor Detail

### TableEditPart

    public TableEditPart(SQLDomainModel model)

Method Detail

### activate

    public void activate()

  Specified by:
    `activate` in interface `org.eclipse.gef.EditPart`
  Overrides:
    `activate` in class `org.eclipse.gef.editparts.AbstractGraphicalEditPart`

### getDragTracker

    public org.eclipse.gef.DragTracker getDragTracker(org.eclipse.gef.Request req)

  Specified by:
    `getDragTracker` in interface `org.eclipse.gef.EditPart`
  Overrides:
    `getDragTracker` in class `org.eclipse.gef.editparts.AbstractGraphicalEditPart`

### getStatement

    public SQLQueryObject getStatement()

  Specified by:
    `getStatement` in interface `ISQLEditPart`

### getMyRoot

    public org.eclipse.gef.EditPart getMyRoot()

### getContentPane

    public org.eclipse.draw2d.IFigure getContentPane()

  Specified by:
    `getContentPane` in interface `org.eclipse.gef.GraphicalEditPart`
  Overrides:
    `getContentPane` in class `org.eclipse.gef.editparts.AbstractGraphicalEditPart`

### getTable

    public Table getTable()

### getTableAlias

    public TableCorrelation getTableAlias()

### update

    public void update(java.lang.Object child)

  `update` should be called with the parent and child object involved in the change

  Parameters:
    `child` - an `Object` value